{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Create a post</title>
{% endblock meta %}

{% block content %}

<div class="container">
    <a href="add-post/" class="btn-floating btn-large waves-effect waves-light green"><i class="material-icons">add</i>Create Post</a>

    {% if nposts %} 
    {% for post in nposts %}
        <div class="card">
            <div class="card-content">
              <h5>
                  {{post.title}}
            </h5>
            </div>
            <div class="card-content">
                {% if not post.author.is_superuser %} 
                <strong> posted by {{post.author.get_name}} on {{post.timestamp}} <br>
                </strong>
                {{post.content}}
                {% elif post.author.is_superuser %} 
                <strong>
                posted by SUPERUSER on {{post.timestamp}} <br>
                </strong>
                {{post.content}}
                {% endif %} 
            </div>
            <div class="card-action">
                <a href="/forum/{{post.id}}/" class="btn waves-effect"><i class="material-icons right">send</i>See Discussion</a>
            </div>
        </div>
    {%endfor%}
    {%endif%}
    
    {% if nposts.has_other_pages %}
      <ul class="pagination">
        {% if nposts.has_previous %}
          <li><a href="?page={{ nposts.previous_page_number }}"><i class="material-icons">chevron_left</i></a></li>
        {% else %}
          <li class="disabled"><span><i class="material-icons">chevron_left</i></span></li>
        {% endif %}
        {% for i in nposts.paginator.page_range %}
          {% if nposts.number == i %}
            <li class="active"><span>{{ i }} <span class="sr-only"></span></span></li>
          {% else %}
            <li class="waves-effect"><a href="?page={{ i }}">{{ i }}</a></li>
          {% endif %}
        {% endfor %}
        {% if nposts.has_next %}
          <li><a href="?page={{ nposts.next_page_number }}"><i class="material-icons">chevron_right</i></a></li>
        {% else %}
          <li class="disabled"><span><i class="material-icons">chevron_right</i></span></li>
        {% endif %}
      </ul>
    {% endif %}
</div>

 

{% endblock content %}